### Hierarchy

- OfferRankRepository

### Implemented by

- OfferRankRepositoryImpl

## Index

### Methods

- delete
- getById
- getByOfferId
- getByOfferIdAndRankId
- save
- update

## Methods

### delete

- delete(offerRankId: number): Promise<number>

- - Defined in repository/offerRank/OfferRankRepository.ts:9

  #### Parameters

  - ##### offerRankId: number

  #### Returns Promise<number>

### getById

- getById(offerRankId: number): Promise<OfferRank>

- - Defined in repository/offerRank/OfferRankRepository.ts:6

  #### Parameters

  - ##### offerRankId: number

  #### Returns Promise<OfferRank>

### getByOfferId

- getByOfferId(offerId: number): Promise<Array<OfferRank>>

- - Defined in repository/offerRank/OfferRankRepository.ts:5

  #### Parameters

  - ##### offerId: number

  #### Returns Promise<Array<OfferRank>>

### getByOfferIdAndRankId

- getByOfferIdAndRankId(offerId: number, rankerId: number): Promise<OfferRank>

- - Defined in repository/offerRank/OfferRankRepository.ts:4

  #### Parameters

  - ##### offerId: number

  - ##### rankerId: number

  #### Returns Promise<OfferRank>

### save

- save(rank: OfferRank): Promise<OfferRank>

- - Defined in repository/offerRank/OfferRankRepository.ts:7

  #### Parameters

  - ##### rank: OfferRank

  #### Returns Promise<OfferRank>

### update

- update(rank: OfferRank): Promise<OfferRank>

- - Defined in repository/offerRank/OfferRankRepository.ts:8

  #### Parameters

  - ##### rank: OfferRank

  #### Returns Promise<OfferRank>

Generated using TypeDoc